# Wordpress Components Yeoman Generator

[![standard-readme compliant](https://img.shields.io/badge/readme%20style-standard-brightgreen.svg?style=flat-square)](https://github.com/RichardLitt/standard-readme)

> A Yeoman generator for wordpress components with twig

## Table of Contents

- [Yeoman Generator _(generator-wpcomponents)_](#wordpress-components-yeoman-generator)
  - [Table of Contents](#table-of-contents)
  - [Install](#install)
  - [Usage](#usage)
  - [Maintainers](#maintainers)
  - [Contribute](#contribute)
  - [License](#license)

## Install

The node version used should be `^16`. If you use a node version manager (e.g. [nvm](https://github.com/nvm-sh/nvm)), use `nvm` to change the version.

First install Yeoman:

```bash
$ npm i -g yo
```

Install the generator:

```bash
$ npm i -g @moelp/generator-wpcomponents
```

Otherwise you can use yarn as well:

```bash
$ yarn global add @moelp/generator-wpcomponents
```

## Usage

Run `yo @moelp/wpcomponents` to start the generator. You can select **Components**.

## Maintainers

This project is maintained by [moelp](https://moelp.com).

## Contribute

To contribute, please use GitHub [issues](https://github.com/moelp/generator-wpcomponents/issues).

If you are a developer and would like to submit a pull request, do the following:

1. Fork the project and clone it.
2. Run `npm install` inside the cloned folder.
3. Run `npm link` to link the local installation for development purposes. (Run `npm unlink` to undo this step.)
4. In any folder run `yo @empatic/components` to run your local development version and test your changes.
5. Send a pull request from your fork to the main repo's master branch.

If editing the README, please conform to the [standard-readme](https://github.com/RichardLitt/standard-readme) specification.

### Git and Commits

-   Please refer to [conventionalcommits](https://www.conventionalcommits.org/en/v1.0.0/)

## License

MIT © [moelp](https://moelp.com)
